X2Go Bug report logs - #1537
Logfile corruption

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: uli42@gmx.de

Date: Fri, 2 Apr 2021 15:50:02 UTC

Severity: normal

Tags: pending

Found in version 4.1.0.3

Fixed in version 4.1.0.4

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1537; Package x2goserver. (Fri, 02 Apr 2021 15:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 02 Apr 2021 15:50:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: submit@bugs.x2go.org
Subject: Logfile corruption
Date: Fri, 2 Apr 2021 17:47:15 +0200
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.1.0.3

See attached patch for a fix to the session.log being corrupted when
nxagent is printing a lot of debug output.
[0001-Prevent-logfile-corruption.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1537; Package x2goserver. (Thu, 15 Apr 2021 09:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 15 Apr 2021 09:20:02 GMT) (full text, mbox, link).


Message #10 received at 1537@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1537-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1537@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Thu, 15 Apr 2021 11:15:01 +0200 (CEST)
tag #1537 pending
fixed #1537 4.1.0.4
thanks

Hi!

X2Go issue #1537 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    https://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=16fad4232117be46a15b5b92c7cea80f6c7358bf

The issue will most likely be fixed in src:x2goserver (4.1.0.4).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 16fad4232117be46a15b5b92c7cea80f6c7358bf
Author: Ulrich Sibiller <uli42@gmx.de>
Date:   Fri Mar 12 11:17:32 2021 +0100

    x2goserver/bin/x2gostartagent: prevent logfile corruption.
    
    Both stderr redirection and errors= in the options file wrote to the
    same file which lead to corruption with lots of debug output.
    
    Fixes: #1537.

diff --git a/debian/changelog b/debian/changelog
index 7b79abcb..f8c6dde8 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -448,6 +448,9 @@ x2goserver (4.1.0.4-0x2go1.2) UNRELEASED; urgency=medium
   * New upstream version (4.1.0.4):
     - x2goserver-x2goagent/etc/keystrokes.cfg: sync with nx-libs 3.5.99.20.
       Previous version was broken and incomplete. Fixes: #1388.
+    - x2goserver/bin/x2gostartagent: prevent logfile corruption. Both stderr
+      redirection and errors= in the options file wrote to the same file which
+      lead to corruption with lots of debug output. Fixes: #1537.
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 19 Jul 2019 20:55:11 +0200
 


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 15 Apr 2021 09:20:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.0.4. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 15 Apr 2021 09:20:03 GMT) (full text, mbox, link).


Message sent on to uli42@gmx.de:
Bug#1537. (Thu, 15 Apr 2021 09:20:04 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Jun 13 08:47:03 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.